/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author Shubhrangshu
 */
public class EnquiryBean {

    public String accountNo;
    public String fromDate;
    public String toDate;
    public String productName;
    public String fromAmount;
    public String toAmount;
    public String productId;
    public String productCode;
    public String srchByCIF;

    public String linkedSbAccount;

    //for display
    public String accountOpenDate;
    public String availBalance;
    public String customerNo;
    public String sanctionAmount;
    public String screenName;
    public String prinOutstanding;
    public String inttOutstanding;
    public String penalIntt;
    public String customerName;
    private String prinOverdue;
    public String penalCnt;

    //added later
    public String productNameDisplay;
    public String limitExpiryDate;
    public String prinPaid;
    public String inttPaid;
    public String penalInttOutstanding;
    public String linkAccNo;
    public String oldAccNo;
    public String oldCifNo;
    public String pacs_id;
    public String cif_no2;
    public String sec_cust_name;
    public String link_acc;
    public String nomineeName;
/*Added New Fileds by bitan For multiple CIF to same Dep Account*/
    private String jt_cifNumber1;
    private String jt_cifNumber2;
    private String jt_cifNumber3;
    private String jt_cifNumber4;
    private String jt_cifNumber5;
    private String jt_cifNumber6;
    private String jt_cifNumber7;
    private String jt_cifNumber8;
    private String jt_cifNumber9;
    private String jt_cifNumber10;

    private String jt_cifName1;
    private String jt_cifName2;
    private String jt_cifName3;
    private String jt_cifName4;
    private String jt_cifName5;
    private String jt_cifName6;
    private String jt_cifName7;
    private String jt_cifName8;
    private String jt_cifName9;
    private String jt_cifName10;
    /*END*/

    //added for LoanEnquiry
    public String cifNumber;
    public String sancDt;
    public String amntDsbrd;

    //added later for Enquiry Screens
    public String inttrate;
    public String inttIncr;
    public String inttAvail;
    public String inttfroDt;
    public String inttToDt;
    public String holdValue;
    public String inttProjected;
    public String maturityValue;
    public String maturityDt;
    public String termValue;
    public String inttCatDesc;
    public String termSOPDt;
    public String termEOPDt;
    public String curr_Status;
    public String intt_capptalized;
    public String instllAmt;
    public String installPaidNo;
    public String instllDueDate;
    public String termLen;
    public String intRepayMethod;
    public String term_from_date;
    public String term_to_date;
    public String LoanAcc;
    public String intAccrued;
    //for share enquiry
    private String memberno;
    private String shareclass;
    private String sharevalue;
    private String sharedue;
    private String shareno;
    private String shareamt;
    private String modOfAcc;
    private String NPAINTTOUTST;
    private String NPAINTTPAID;
    private String totaloutst;


    public String getNPAINTTOUTST() {
        return NPAINTTOUTST;
    }

    public void setNPAINTTOUTST(String NPAINTTOUTST) {
        this.NPAINTTOUTST = NPAINTTOUTST;
    }

    public String getNPAINTTPAID() {
        return NPAINTTPAID;
    }

    public void setNPAINTTPAID(String NPAINTTPAID) {
        this.NPAINTTPAID = NPAINTTPAID;
    }

    public String getTotaloutst() {
        return totaloutst;
    }

    public void setTotaloutst(String totaloutst) {
        this.totaloutst = totaloutst;
    }

    public String getIntAccrued() {
        return intAccrued;
    }

    public void setIntAccrued(String intAccrued) {
        this.intAccrued = intAccrued;
    }

    public String getPenalIntRate() {
        return penalIntRate;
    }

    public void setPenalIntRate(String penalIntRate) {
        this.penalIntRate = penalIntRate;
    }
    private String penalIntRate;

    public String getNomineeName() {
        return nomineeName;
    }

    public void setNomineeName(String nomineeName) {
        this.nomineeName = nomineeName;
    }

    public String getModOfAcc() {
        return modOfAcc;
    }

    public void setModOfAcc(String modOfAcc) {
        this.modOfAcc = modOfAcc;
    }

    public String getLink_acc() {
        return link_acc;
    }

    public void setLink_acc(String link_acc) {
        this.link_acc = link_acc;
    }

    public String getCif_no2() {
        return cif_no2;
    }

    public void setCif_no2(String cif_no2) {
        this.cif_no2 = cif_no2;
    }

    public String getSec_cust_name() {
        return sec_cust_name;
    }

    public void setSec_cust_name(String sec_cust_name) {
        this.sec_cust_name = sec_cust_name;
    }

    public String getPenalCnt() {
        return penalCnt;
    }

    public void setPenalCnt(String penalCnt) {
        this.penalCnt = penalCnt;
    }

    public String getLoanAcc() {
        return LoanAcc;
    }

    public void setLoanAcc(String LoanAcc) {
        this.LoanAcc = LoanAcc;
    }

    public String getintAccrued() {
        return intAccrued;
    }

    public void setintAccrued(String intAccrued) {
        this.intAccrued = intAccrued;
    }

    public String getPacs_id() {
        return pacs_id;
    }

    public void setPacs_id(String pacs_id) {
        this.pacs_id = pacs_id;
    }

    public String getOldAccNo() {
        return oldAccNo;
    }

    public void setOldAccNo(String oldAccNo) {
        this.oldAccNo = oldAccNo;
    }

    public String getOldCifNo() {
        return oldCifNo;
    }

    public void setOldCifNo(String oldCifNo) {
        this.oldCifNo = oldCifNo;
    }

    public String getMemberno() {
        return memberno;
    }

    public void setMemberno(String memberno) {
        this.memberno = memberno;
    }

    public String getShareamt() {
        return shareamt;
    }

    public void setShareamt(String shareamt) {
        this.shareamt = shareamt;
    }

    public String getShareclass() {
        return shareclass;
    }

    public void setShareclass(String shareclass) {
        this.shareclass = shareclass;
    }

    public String getSharedue() {
        return sharedue;
    }

    public void setSharedue(String sharedue) {
        this.sharedue = sharedue;
    }

    public String getShareno() {
        return shareno;
    }

    public void setShareno(String shareno) {
        this.shareno = shareno;
    }

    public String getSharevalue() {
        return sharevalue;
    }

    public void setSharevalue(String sharevalue) {
        this.sharevalue = sharevalue;
    }


    public String subpacs_id;
    public String subpacs_name;

    public String getSubpacs_name() {
        return subpacs_name;
    }

    public void setSubpacs_name(String subpacs_name) {
        this.subpacs_name = subpacs_name;
    }


    public String getSubpacs_id() {
        return subpacs_id;
    }

    public void setSubpacs_id(String subpacs_id) {
        this.subpacs_id = subpacs_id;
    }


    public String getTerm_from_date() {
        return term_from_date;
    }

    public void setTerm_from_date(String term_from_date) {
        this.term_from_date = term_from_date;
    }

    public String getTerm_to_date() {
        return term_to_date;
    }

    public void setTerm_to_date(String term_to_date) {
        this.term_to_date = term_to_date;
    }

    //added for Loan Enquiry
    private String emi;
    private String next_due_date;
    private String last_repay_date;
    private String intt_cat_desc;
    private String loan_type;
    private String product_name;
    private String total_intt_outst;
    private String total_intt_accr;
    private String total_intt_paid;

    public String getEmi() {
        return emi;
    }

    public void setEmi(String emi) {
        this.emi = emi;
    }

    public String getIntt_cat_desc() {
        return intt_cat_desc;
    }

    public void setIntt_cat_desc(String intt_cat_desc) {
        this.intt_cat_desc = intt_cat_desc;
    }

    public String getLast_repay_date() {
        return last_repay_date;
    }

    public void setLast_repay_date(String last_repay_date) {
        this.last_repay_date = last_repay_date;
    }

    public String getLoan_type() {
        return loan_type;
    }

    public void setLoan_type(String loan_type) {
        this.loan_type = loan_type;
    }

    public String getNext_due_date() {
        return next_due_date;
    }

    public void setNext_due_date(String next_due_date) {
        this.next_due_date = next_due_date;
    }

    public String getProduct_name() {
        return product_name;
    }

    public void setProduct_name(String product_name) {
        this.product_name = product_name;
    }

    public String getTotal_intt_accr() {
        return total_intt_accr;
    }

    public void setTotal_intt_accr(String total_intt_accr) {
        this.total_intt_accr = total_intt_accr;
    }

    public String getTotal_intt_outst() {
        return total_intt_outst;
    }

    public void setTotal_intt_outst(String total_intt_outst) {
        this.total_intt_outst = total_intt_outst;
    }

    public String getTotal_intt_paid() {
        return total_intt_paid;
    }

    public void setTotal_intt_paid(String total_intt_paid) {
        this.total_intt_paid = total_intt_paid;
    }




    public String getSrchByCIF() {
        return srchByCIF;
    }

    public void setSrchByCIF(String srchByCIF) {
        this.srchByCIF = srchByCIF;
    }



    public String getTermLen() {
        return termLen;
    }

    public void setTermLen(String termLen) {
        this.termLen = termLen;
    }

    public String getIntRepayMethod() {
        return intRepayMethod;
    }

    public void setIntRepayMethod(String intRepayMethod) {
        this.intRepayMethod = intRepayMethod;
    }


    public String getInstallPaidNo() {
        return installPaidNo;
    }

    public void setInstallPaidNo(String installPaidNo) {
        this.installPaidNo = installPaidNo;
    }

    public String getInstllAmt() {
        return instllAmt;
    }

    public void setInstllAmt(String instllAmt) {
        this.instllAmt = instllAmt;
    }

    public String getInstllDueDate() {
        return instllDueDate;
    }

    public void setInstllDueDate(String instllDueDate) {
        this.instllDueDate = instllDueDate;
    }



    //added for Deposit Miscellaneous Enquiry
    public String action;
    public String op_Amt;
    public String action_Dt;
    public String action_Cmnt;
    public String action_teller;
    public String action_STAT;
    public String teller_name;

    public String getIntt_capptalized() {
        return intt_capptalized;
    }

    public void setIntt_capptalized(String intt_capptalized) {
        this.intt_capptalized = intt_capptalized;
    }


    public String getTeller_name() {
        return teller_name;
    }

    public void setTeller_name(String teller_name) {
        this.teller_name = teller_name;
    }



    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getAction_Cmnt() {
        return action_Cmnt;
    }

    public void setAction_Cmnt(String action_Cmnt) {
        this.action_Cmnt = action_Cmnt;
    }

    public String getAction_Dt() {
        return action_Dt;
    }

    public void setAction_Dt(String action_Dt) {
        this.action_Dt = action_Dt;
    }

    public String getAction_STAT() {
        return action_STAT;
    }

    public void setAction_STAT(String action_STAT) {
        this.action_STAT = action_STAT;
    }

    public String getAction_teller() {
        return action_teller;
    }

    public void setAction_teller(String action_teller) {
        this.action_teller = action_teller;
    }

    public String getOp_Amt() {
        return op_Amt;
    }

    public void setOp_Amt(String op_Amt) {
        this.op_Amt = op_Amt;
    }



    public String getInttCatDesc() {
        return inttCatDesc;
    }

    public void setInttCatDesc(String inttCatDesc) {
        this.inttCatDesc = inttCatDesc;
    }



    public String getCurr_Status() {
        return curr_Status;
    }

    public void setCurr_Status(String curr_Status) {
        this.curr_Status = curr_Status;
    }


    public String getHoldValue() {
        return holdValue;
    }

    public void setHoldValue(String holdValue) {
        this.holdValue = holdValue;
    }

    public String getInttAvail() {
        return inttAvail;
    }

    public void setInttAvail(String inttAvail) {
        this.inttAvail = inttAvail;
    }

    public String getInttIncr() {
        return inttIncr;
    }

    public void setInttIncr(String inttIncr) {
        this.inttIncr = inttIncr;
    }

    public String getInttProjected() {
        return inttProjected;
    }

    public void setInttProjected(String inttProjected) {
        this.inttProjected = inttProjected;
    }

    public String getInttToDt() {
        return inttToDt;
    }

    public void setInttToDt(String inttToDt) {
        this.inttToDt = inttToDt;
    }

    public String getInttfroDt() {
        return inttfroDt;
    }

    public void setInttfroDt(String inttfroDt) {
        this.inttfroDt = inttfroDt;
    }

    public String getInttrate() {
        return inttrate;
    }

    public void setInttrate(String inttrate) {
        this.inttrate = inttrate;
    }

    public String getMaturityDt() {
        return maturityDt;
    }

    public void setMaturityDt(String maturityDt) {
        this.maturityDt = maturityDt;
    }

    public String getMaturityValue() {
        return maturityValue;
    }

    public void setMaturityValue(String maturityValue) {
        this.maturityValue = maturityValue;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getTermEOPDt() {
        return termEOPDt;
    }

    public void setTermEOPDt(String termEOPDt) {
        this.termEOPDt = termEOPDt;
    }

    public String getTermSOPDt() {
        return termSOPDt;
    }

    public void setTermSOPDt(String termSOPDt) {
        this.termSOPDt = termSOPDt;
    }

    public String getTermValue() {
        return termValue;
    }

    public void setTermValue(String termValue) {
        this.termValue = termValue;
    }



    public String getAmntDsbrd() {
        return amntDsbrd;
    }

    public void setAmntDsbrd(String amntDsbrd) {
        this.amntDsbrd = amntDsbrd;
    }

    public String getSancDt() {
        return sancDt;
    }

    public void setSancDt(String sancDt) {
        this.sancDt = sancDt;
    }



    public String getCifNumber() {
        return cifNumber;
    }

    public void setCifNumber(String cifNumber) {
        this.cifNumber = cifNumber;
    }



    /**
     * @return the accountNo
     */
    public String getAccountNo() {
        return accountNo;
    }

    /**
     * @param accountNo the accountNo to set
     */
    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    /**
     * @return the fromDate
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * @param fromDate the fromDate to set
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    /**
     * @return the toDate
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * @param toDate the toDate to set
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    /**
     * @return the productName
     */
    public String getProductName() {
        return productName;
    }

    /**
     * @param productName the productName to set
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * @return the accountOpenDate
     */
    public String getAccountOpenDate() {
        return accountOpenDate;
    }

    /**
     * @param accountOpenDate the accountOpenDate to set
     */
    public void setAccountOpenDate(String accountOpenDate) {
        this.accountOpenDate = accountOpenDate;
    }

    /**
     * @return the availBalance
     */
    public String getAvailBalance() {
        return availBalance;
    }

    /**
     * @param availBalance the availBalance to set
     */
    public void setAvailBalance(String availBalance) {
        this.availBalance = availBalance;
    }

    /**
     * @return the fromAmount
     */
    public String getFromAmount() {
        return fromAmount;
    }

    /**
     * @param fromAmount the fromAmount to set
     */
    public void setFromAmount(String fromAmount) {
        this.fromAmount = fromAmount;
    }

    /**
     * @return the toAmount
     */
    public String getToAmount() {
        return toAmount;
    }

    /**
     * @param toAmount the toAmount to set
     */
    public void setToAmount(String toAmount) {
        this.toAmount = toAmount;
    }

    /**
     * @return the customerNo
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * @param customerNo the customerNo to set
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * @return the sanctionAmount
     */
    public String getSanctionAmount() {
        return sanctionAmount;
    }

    /**
     * @param sanctionAmount the sanctionAmount to set
     */
    public void setSanctionAmount(String sanctionAmount) {
        this.sanctionAmount = sanctionAmount;
    }

    /**
     * @return the screenName
     */
    public String getScreenName() {
        return screenName;
    }

    /**
     * @param screenName the screenName to set
     */
    public void setScreenName(String screenName) {
        this.screenName = screenName;
    }

    /**
     * @return the prinOutstanding
     */
    public String getPrinOutstanding() {
        return prinOutstanding;
    }

    /**
     * @param prinOutstanding the prinOutstanding to set
     */
    public void setPrinOutstanding(String prinOutstanding) {
        this.prinOutstanding = prinOutstanding;
    }

    /**
     * @return the inttOutstanding
     */
    public String getInttOutstanding() {
        return inttOutstanding;
    }

    /**
     * @param inttOutstanding the inttOutstanding to set
     */
    public void setInttOutstanding(String inttOutstanding) {
        this.inttOutstanding = inttOutstanding;
    }

    /**
     * @return the penalIntt
     */
    public String getPenalIntt() {
        return penalIntt;
    }

    /**
     * @param penalIntt the penalIntt to set
     */
    public void setPenalIntt(String penalIntt) {
        this.penalIntt = penalIntt;
    }

    /**
     * @return the customerName
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * @param customerName the customerName to set
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    /**
     * @return the productId
     */
    public String getProductId() {
        return productId;
    }

    /**
     * @param productId the productId to set
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * @return the limitExpiryDate
     */
    public String getLimitExpiryDate() {
        return limitExpiryDate;
    }

    /**
     * @param limitExpiryDate the limitExpiryDate to set
     */
    public void setLimitExpiryDate(String limitExpiryDate) {
        this.limitExpiryDate = limitExpiryDate;
    }

    /**
     * @return the prinPaid
     */
    public String getPrinPaid() {
        return prinPaid;
    }

    /**
     * @param prinPaid the prinPaid to set
     */
    public void setPrinPaid(String prinPaid) {
        this.prinPaid = prinPaid;
    }

    /**
     * @return the inttPaid
     */
    public String getInttPaid() {
        return inttPaid;
    }

    /**
     * @param inttPaid the inttPaid to set
     */
    public void setInttPaid(String inttPaid) {
        this.inttPaid = inttPaid;
    }

    /**
     * @return the penalInttOutstanding
     */
    public String getPenalInttOutstanding() {
        return penalInttOutstanding;
    }

    /**
     * @param penalInttOutstanding the penalInttOutstanding to set
     */
    public void setPenalInttOutstanding(String penalInttOutstanding) {
        this.penalInttOutstanding = penalInttOutstanding;
    }

    /**
     * @return the linkedSbAccount
     */
    public String getLinkedSbAccount() {
        return linkedSbAccount;
    }

    /**
     * @param linkedSbAccount the linkedSbAccount to set
     */
    public void setLinkedSbAccount(String linkedSbAccount) {
        this.linkedSbAccount = linkedSbAccount;
    }

    /**
     * @return the productNameDisplay
     */
    public String getProductNameDisplay() {
        return productNameDisplay;
    }

    /**
     * @param productNameDisplay the productNameDisplay to set
     */
    public void setProductNameDisplay(String productNameDisplay) {
        this.productNameDisplay = productNameDisplay;
    }

    public String getLinkAccNo() {
        return linkAccNo;
    }

    /**
     * @param productNameDisplay the productNameDisplay to set
     */
    public void setLinkAccNo(String linkAccNo) {
        this.linkAccNo = linkAccNo;
    }

    public String getPrinOverdue() {
        return prinOverdue;
    }

    public void setPrinOverdue(String prinOverdue) {
        this.prinOverdue = prinOverdue;
    }

    public String getJt_cifName1() {
        return jt_cifName1;
    }

    public String getJt_cifName10() {
        return jt_cifName10;
    }

    public String getJt_cifName2() {
        return jt_cifName2;
    }

    public String getJt_cifName3() {
        return jt_cifName3;
    }

    public String getJt_cifName4() {
        return jt_cifName4;
    }

    public String getJt_cifName5() {
        return jt_cifName5;
    }

    public String getJt_cifName6() {
        return jt_cifName6;
    }

    public String getJt_cifName7() {
        return jt_cifName7;
    }

    public String getJt_cifName8() {
        return jt_cifName8;
    }

    public String getJt_cifName9() {
        return jt_cifName9;
    }

    public String getJt_cifNumber1() {
        return jt_cifNumber1;
    }

    public String getJt_cifNumber10() {
        return jt_cifNumber10;
    }

    public String getJt_cifNumber2() {
        return jt_cifNumber2;
    }

    public String getJt_cifNumber3() {
        return jt_cifNumber3;
    }

    public String getJt_cifNumber4() {
        return jt_cifNumber4;
    }

    public String getJt_cifNumber5() {
        return jt_cifNumber5;
    }

    public String getJt_cifNumber6() {
        return jt_cifNumber6;
    }

    public String getJt_cifNumber7() {
        return jt_cifNumber7;
    }

    public String getJt_cifNumber8() {
        return jt_cifNumber8;
    }

    public String getJt_cifNumber9() {
        return jt_cifNumber9;
    }

    public void setJt_cifName1(String jt_cifName1) {
        this.jt_cifName1 = jt_cifName1;
    }

    public void setJt_cifName10(String jt_cifName10) {
        this.jt_cifName10 = jt_cifName10;
    }

    public void setJt_cifName2(String jt_cifName2) {
        this.jt_cifName2 = jt_cifName2;
    }

    public void setJt_cifName3(String jt_cifName3) {
        this.jt_cifName3 = jt_cifName3;
    }

    public void setJt_cifName4(String jt_cifName4) {
        this.jt_cifName4 = jt_cifName4;
    }

    public void setJt_cifName5(String jt_cifName5) {
        this.jt_cifName5 = jt_cifName5;
    }

    public void setJt_cifName6(String jt_cifName6) {
        this.jt_cifName6 = jt_cifName6;
    }

    public void setJt_cifName7(String jt_cifName7) {
        this.jt_cifName7 = jt_cifName7;
    }

    public void setJt_cifName8(String jt_cifName8) {
        this.jt_cifName8 = jt_cifName8;
    }

    public void setJt_cifName9(String jt_cifName9) {
        this.jt_cifName9 = jt_cifName9;
    }

    public void setJt_cifNumber1(String jt_cifNumber1) {
        this.jt_cifNumber1 = jt_cifNumber1;
    }

    public void setJt_cifNumber10(String jt_cifNumber10) {
        this.jt_cifNumber10 = jt_cifNumber10;
    }

    public void setJt_cifNumber2(String jt_cifNumber2) {
        this.jt_cifNumber2 = jt_cifNumber2;
    }

    public void setJt_cifNumber3(String jt_cifNumber3) {
        this.jt_cifNumber3 = jt_cifNumber3;
    }

    public void setJt_cifNumber4(String jt_cifNumber4) {
        this.jt_cifNumber4 = jt_cifNumber4;
    }

    public void setJt_cifNumber5(String jt_cifNumber5) {
        this.jt_cifNumber5 = jt_cifNumber5;
    }

    public void setJt_cifNumber6(String jt_cifNumber6) {
        this.jt_cifNumber6 = jt_cifNumber6;
    }

    public void setJt_cifNumber7(String jt_cifNumber7) {
        this.jt_cifNumber7 = jt_cifNumber7;
    }

    public void setJt_cifNumber8(String jt_cifNumber8) {
        this.jt_cifNumber8 = jt_cifNumber8;
    }

    public void setJt_cifNumber9(String jt_cifNumber9) {
        this.jt_cifNumber9 = jt_cifNumber9;
    }

}
